Subject: [Teas] A question on the definitions of SDP and SAP

From: Greg Mirsky <[email-masked]>
Date: Mon, 21 Mar 2022 04:17:14 -0700

Hi Adrian,
I've read the draft-ietf-teas-ietf-network-slices
<https://datatracker.ietf.org/doc/draft-ietf-teas-ietf-network-slices/> (many
thanks for all your work on it!) and I've got a question. It appears to me
that the definition of a Service Demarcation Point section 2.1) as the
point of where the IETF Network Slice service is delivered by the provider
to a customer is similar to the definition of a Service Attachment Point in
draft-ietf-opsawg-sap
<https://datatracker.ietf.org/doc/draft-ietf-opsawg-sap/> as an
"abstraction of the network reference points where network services can be
delivered to customers." Hence my question. Is there an intended difference
between SDP and SAP that is indicated by using different terms?

Regards,
Greg

---

From: <[email-masked]>
Date: Mon, 21 Mar 2022 11:50:03 +0000

Hi Greg,

The slice draft already says the following:

      An SDP may be abstracted as a Service Attachment Point (SAP)
      [I-D.ietf-opsawg-sap] for the purpose generalizing the concept
      across multiple service types and representing it in management
      and configuration systems.

Cheers,
Med

De : Greg Mirsky <[email-masked]>
Envoyé : lundi 21 mars 2022 12:17
À : Adrian Farrel <[email-masked]>; TEAS WG <[email-masked]>; opsawg <[email-masked]>; BOUCADAIR Mohamed INNOV/NET <[email-masked]>
Objet : A question on the definitions of SDP and SAP

Hi Adrian,
I've read the draft-ietf-teas-ietf-network-slices<https://datatracker.ietf.org/doc/draft-ietf-teas-ietf-network-slices/> (many thanks for all your work on it!) and I've got a question. It appears to me that the definition of a Service Demarcation Point section 2.1) as the point of where the IETF Network Slice service is delivered by the provider to a customer is similar to the definition of a Service Attachment Point in draft-ietf-opsawg-sap<https://datatracker.ietf.org/doc/draft-ietf-opsawg-sap/> as an "abstraction of the network reference points where network services can be delivered to customers." Hence my question. Is there an intended difference between SDP and SAP that is indicated by using different terms?

Regards,
Greg

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 21 Mar 2022 12:37:53 -0000

So, yes. Well read, Greg, to spot the similarity. Thanks, Med, for pointing up the text.

Are we all happy?

A

From: [email-masked] <[email-masked]> 
Sent: 21 March 2022 11:50
To: Greg Mirsky <[email-masked]>; Adrian Farrel <[email-masked]>; TEAS WG <[email-masked]>; opsawg <[email-masked]>
Subject: RE: A question on the definitions of SDP and SAP

Hi Greg, 

Cheers,

Med

De : Greg Mirsky <[email-masked] <mailto:[email-masked]> > 
Envoyé : lundi 21 mars 2022 12:17
À : Adrian Farrel <[email-masked] <mailto:[email-masked]> >; TEAS WG <[email-masked] <mailto:[email-masked]> >; opsawg <[email-masked] <mailto:[email-masked]> >; BOUCADAIR Mohamed INNOV/NET <[email-masked] <mailto:[email-masked]> >
Objet : A question on the definitions of SDP and SAP

Hi Adrian,

I've read the draft-ietf-teas-ietf-network-slices <https://datatracker.ietf.org/doc/draft-ietf-teas-ietf-network-slices/>  (many thanks for all your work on it!) and I've got a question. It appears to me that the definition of a Service Demarcation Point section 2.1) as the point of where the IETF Network Slice service is delivered by the provider to a customer is similar to the definition of a Service Attachment Point in draft-ietf-opsawg-sap <https://datatracker.ietf.org/doc/draft-ietf-opsawg-sap/>  as an "abstraction of the network reference points where network services can be delivered to customers." Hence my question. Is there an intended difference between SDP and SAP that is indicated by using different terms?

Regards,

Greg

---

From: Greg Mirsky <[email-masked]>
Date: Tue, 22 Mar 2022 02:34:23 -0700

Hi Med,
thank you for pointing this out to me. I have a follow-up question. If I
understand that note correctly, SDP is positioned as an example, a
realization of SAP in IETF Network Slice. What could be other examples or
realizations of SAP?

Regards,
Greg

On Mon, Mar 21, 2022 at 4:50 AM <[email-masked]> wrote:

> *De :* Greg Mirsky <[email-masked]>
> *Envoyé :* lundi 21 mars 2022 12:17
> *À :* Adrian Farrel <[email-masked]>; TEAS WG <[email-masked]>;
> opsawg <[email-masked]>; BOUCADAIR Mohamed INNOV/NET <
> [email-masked]>
> *Objet :* A question on the definitions of SDP and SAP
>
>
>
> Hi Adrian,
>

---

From: <[email-masked]>
Date: Tue, 22 Mar 2022 12:43:34 +0000

Hi Greg,

Other examples can be an L3 VPN network access (RFC9182) or L2 VPN network access (draft-ietf-opsawg-l2nm).

FWIW, the SAP spec include these notes:

(1)

   For example,
   this concept is used to decide where to attach and, thus, deliver the
   service in the Layer 3 VPN Service Model (L3SM) [RFC8299] and the
   Layer 2 VPN Service Model (L2SM) [RFC8466].  It can also be used to
   retrieve where services, such as the Layer 3 VPN Network Model (L3NM)
   [RFC9182], and the Layer 2 VPN Network Model (L2NM)
   [I-D.ietf-opsawg-l2nm], are delivered to customers.

(2)

      For example, 'sap-id' may be the VPN network access identifier in
      Section 7.6 of [RFC9182].  An example to illustrate the use of
      this attribute during service creation is provided in Appendix D.

Cheers,
Med

De : Greg Mirsky <[email-masked]>
Envoyé : mardi 22 mars 2022 10:34
À : BOUCADAIR Mohamed INNOV/NET <[email-masked]>
Cc : Adrian Farrel <[email-masked]>; TEAS WG <[email-masked]>; opsawg <[email-masked]>
Objet : Re: A question on the definitions of SDP and SAP

Hi Med,
thank you for pointing this out to me. I have a follow-up question. If I understand that note correctly, SDP is positioned as an example, a realization of SAP in IETF Network Slice. What could be other examples or realizations of SAP?

Regards,
Greg

On Mon, Mar 21, 2022 at 4:50 AM <[email-masked]<mailto:[email-masked]>> wrote:
Hi Greg,

Cheers,
Med

De : Greg Mirsky <[email-masked]<mailto:[email-masked]>>
Envoyé : lundi 21 mars 2022 12:17
À : Adrian Farrel <[email-masked]<mailto:[email-masked]>>; TEAS WG <[email-masked]<mailto:[email-masked]>>; opsawg <[email-masked]<mailto:[email-masked]>>; BOUCADAIR Mohamed INNOV/NET <[email-masked]<mailto:[email-masked]>>
Objet : A question on the definitions of SDP and SAP

Hi Adrian,

Regards,
Greg

Thank you.

---

From: Gyan Mishra <[email-masked]>
Date: Tue, 22 Mar 2022 09:26:51 -0400

Hi Greg, Adrian & Med

Great observation Greg.

Myself and Kaliraj have draft below Classful Transport Planes (BGP CT) that
has been discussed with Color Aware Routing (CAR) on IDR that uses the term
SEP which I believe has similarities to SAP and SDP both of which have
adoption call approaching.

SEP in the CT draft is any PE nodes and I believe SDP and SAP as well
terminate on a PE node.

BGP CT
https://datatracker.ietf.org/doc/html/draft-kaliraj-idr-bgp-classful-transport-planes-13

CT is in the same vein of BGP-LU and creates a discrete VPN-like Transport
RIB for inter-as options stitching of discrete desperate underlay
transports next-hop-self with end to end Service overlay LSP
next-hop-unchanged used for example as a discrete Carrier of Carriers RIB
(CSC).

SEP : Service End point, the PNH of a Service route.

PNH : Protocol-Nexthop address carried in a BGP Update message. ( PE loopback)

   The PNH of the overlay route is also referred to as "service
   endpoint" (SEP).  The service endpoint may exist in the same domain
   as the service ingress node or lie in a different domain, adjacent or
   non-adjacent.  In the former case, reachability to the SEP is
   provided by an intra-domain tunneling protocol, and in the latter
   case, reachability to the SEP is via BGP transport families.

SAP

https://datatracker.ietf.org/doc/html/draft-ietf-opsawg-sap-02

   This document augments the 'ietf-network' data model by adding the
   concept of Service Attachment Points (SAPs).  The Service Attachment
   Points are the network reference points to which network services,
   such as Layer 3 Virtual Private Network (L3VPN) or Layer 2 Virtual
   Private Network (L2VPN), can be attached.  Both User-Network
   Interface (UNI) and Network-to-Network Interface (NNI) are supported
   in the SAP data model.

Many Thanks

Gyan

On Tue, Mar 22, 2022 at 5:35 AM Greg Mirsky <[email-masked]> wrote:

>> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg
>
-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*Email [email-masked] <[email-masked]>*

*M 301 502-1347*

---

From: Greg Mirsky <[email-masked]>
Date: Tue, 22 Mar 2022 06:50:04 -0700

Hi Med,
thank you for the additional information. In my understanding, please
correct me if it is off, L3 and L2 VPNs are technologies that can be used
to realize an IETF Network Slice. If that is the case, then the SAP in, for
example, an L3 VPN is also SDP of the IETF Network Slice. Am I
missing something?

Kind regards,
Greg

On Tue, Mar 22, 2022 at 5:43 AM <[email-masked]> wrote:

>    service in the Layer 3 VPN Service Model (L3SM) [*RFC8299*] and the
>
>    Layer 2 VPN Service Model (L2SM) [*RFC8466*].  It can also be used to
>
>    [*RFC9182*], and the Layer 2 VPN Network Model (L2NM)
>
>    [*I-D.ietf-opsawg-l2nm*], are delivered to customers.
>
>
>
> (2)
>
>
>
>       *Section 7.6 of [RFC9182]*.  An example to illustrate the use of
>
>       this attribute during service creation is provided in *Appendix D*.
>
>
>
> Cheers,
>
> Med
>
>
>
> *Envoyé :* mardi 22 mars 2022 10:34
> *À :* BOUCADAIR Mohamed INNOV/NET <[email-masked]>
> *Cc :* Adrian Farrel <[email-masked]>; TEAS WG <[email-masked]>;
> opsawg <[email-masked]>
> *Objet :* Re: A question on the definitions of SDP and SAP
>
>
>
> Hi Med,
>

---

From: "Henderickx, Wim (Nokia - BE/Antwerp)" <[email-masked]>
Date: Tue, 22 Mar 2022 14:08:35 +0000

Sorry the shime in late in this thread but there is one thing still bothering or I wanted to highlight. Maybe we can do another thread if needed.

Here is the thing I am struggling with in the current draft, which is what I call multiplexing or what I sometime call mapping.

My understanding so far is we have SDP and connectivity construct to represent a slice

In reality I believe or in my view: we have SDP – a forwarder of some sort (it is dependent on the connectivity matrix) – a connectivity matrix

On top we have some multiplexing and mapping into these constructs.

So in my view you can implement the slices in various ways. I am using 3GPP as the endpoints radio in this case
And my examples are not exhaustive but I am using to show what I mean with multiplexing/mapping

e.g.

  *   Slice1 -> Radio – vlan 1 – sdp 1 – fwd ctx 1 – connectivity matrix 1
  *   Slice2 -> radio – vlan 2 – sdp 1 – fwd ctx 2 – connectivity matrix 2

Or

  *   Slice1 -> Radio – vlan 1 – sdp 1 – fwd ctx 1 – connectivity matrix 1
  *   Slice2 -> radio – vlan 2 – sdp 1 – fwd ctx 1 – connectivity matrix 2

Or

  *   Slice1 -> Radio – flow label 1 – sdp 1 – fwd ctx 1 – connectivity matrix 1
  *   Slice2 -> radio – flow label 2– sdp 1 – fwd ctx 2 – connectivity matrix 2

Or

  *   Slice1 -> Radio – flow label 1 – sdp 1 – fwd ctx 1 – connectivity matrix 1
  *   Slice2 -> radio – flow label 2– sdp 1 – fwd ctx 1 – connectivity matrix 2

Also would be good to see if this is covered how this maps in the current framework.

From: Teas <[email-masked]> on behalf of Greg Mirsky <[email-masked]>
Date: Tuesday, 22 March 2022 at 14:50
To: Med Boucadair <[email-masked]>
Cc: Adrian Farrel <[email-masked]>, opsawg <[email-masked]>, TEAS WG <[email-masked]>
Subject: Re: [Teas] A question on the definitions of SDP and SAP
Hi Med,
thank you for the additional information. In my understanding, please correct me if it is off, L3 and L2 VPNs are technologies that can be used to realize an IETF Network Slice. If that is the case, then the SAP in, for example, an L3 VPN is also SDP of the IETF Network Slice. Am I missing something?

Kind regards,
Greg

On Tue, Mar 22, 2022 at 5:43 AM <[email-masked]<mailto:[email-masked]>> wrote:
Hi Greg,

(1)

   For example,

(2)

Cheers,
Med

De : Greg Mirsky <[email-masked]<mailto:[email-masked]>>
Envoyé : mardi 22 mars 2022 10:34
À : BOUCADAIR Mohamed INNOV/NET <[email-masked]<mailto:[email-masked]>>
Cc : Adrian Farrel <[email-masked]<mailto:[email-masked]>>; TEAS WG <[email-masked]<mailto:[email-masked]>>; opsawg <[email-masked]<mailto:[email-masked]>>
Objet : Re: A question on the definitions of SDP and SAP

Hi Med,

Regards,
Greg

Cheers,
Med

Hi Adrian,

Regards,
Greg

Thank you.

Thank you.

---

From: <[email-masked]>
Date: Tue, 22 Mar 2022 14:12:41 +0000

Re-,

An SDP can be mapped to a VPN network access if a VPN is used to implement a slice. All of them can be abstracted as SAPs.

Cheers,
Med

Envoyé : mardi 22 mars 2022 14:50

Hi Med,

Kind regards,
Greg

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 22 Mar 2022 20:48:16 -0000

Hi Wim,

You’re welcome to shime whenever you want.

I think it is important, in this discussion, to reflect that the service is
not the realisation. 

For the main part, this document describes the service and, while it must
allow for multiple realisations, it does not attempt detailed descriptions.

Cheers,

Adrian

From: Teas <[email-masked]> On Behalf Of Henderickx, Wim (Nokia -
BE/Antwerp)
Sent: 22 March 2022 14:09
To: Greg Mirsky <[email-masked]>; Med Boucadair
<[email-masked]>
Cc: Adrian Farrel <[email-masked]>; opsawg <[email-masked]>; TEAS WG
<[email-masked]>
Subject: Re: [Teas] A question on the definitions of SDP and SAP

Sorry the shime in late in this thread but there is one thing still
bothering or I wanted to highlight. Maybe we can do another thread if
needed.

Here is the thing I am struggling with in the current draft, which is what I
call multiplexing or what I sometime call mapping.

My understanding so far is we have SDP and connectivity construct to
represent a slice

In reality I believe or in my view: we have SDP – a forwarder of some sort
(it is dependent on the connectivity matrix) – a connectivity matrix

So in my view you can implement the slices in various ways. I am using 3GPP
as the endpoints radio in this case

And my examples are not exhaustive but I am using to show what I mean with
multiplexing/mapping

e.g.

Or

Or

*	Slice1 -> Radio – flow label 1 – sdp 1 – fwd ctx 1 – connectivity
matrix 1
*	Slice2 -> radio – flow label 2– sdp 1 – fwd ctx 2 – connectivity
matrix 2

Or

*	Slice1 -> Radio – flow label 1 – sdp 1 – fwd ctx 1 – connectivity
matrix 1
*	Slice2 -> radio – flow label 2– sdp 1 – fwd ctx 1 – connectivity
matrix 2

Also would be good to see if this is covered how this maps in the current
framework.

From: Teas <[email-masked] <mailto:[email-masked]> > on behalf
of Greg Mirsky <[email-masked] <mailto:[email-masked]> >
Date: Tuesday, 22 March 2022 at 14:50
To: Med Boucadair <[email-masked]
<mailto:[email-masked]> >
Cc: Adrian Farrel <[email-masked] <mailto:[email-masked]> >,
opsawg <[email-masked] <mailto:[email-masked]> >, TEAS WG <[email-masked]
<mailto:[email-masked]> >
Subject: Re: [Teas] A question on the definitions of SDP and SAP

Hi Med,

thank you for the additional information. In my understanding, please
correct me if it is off, L3 and L2 VPNs are technologies that can be used to
realize an IETF Network Slice. If that is the case, then the SAP in, for
example, an L3 VPN is also SDP of the IETF Network Slice. Am I missing
something?

Kind regards,

Greg

On Tue, Mar 22, 2022 at 5:43 AM < <mailto:[email-masked]>
[email-masked]> wrote:

Hi Greg, 

Other examples can be an L3 VPN network access (RFC9182) or L2 VPN network
access (draft-ietf-opsawg-l2nm). 

(1)

   For example,

(2)

Cheers,

Med

De : Greg Mirsky < <mailto:[email-masked]> [email-masked]> 
Envoyé : mardi 22 mars 2022 10:34
À : BOUCADAIR Mohamed INNOV/NET < <mailto:[email-masked]>
[email-masked]>
Cc : Adrian Farrel < <mailto:[email-masked]> [email-masked]>; TEAS
WG < <mailto:[email-masked]> [email-masked]>; opsawg <
<mailto:[email-masked]> [email-masked]>
Objet : Re: A question on the definitions of SDP and SAP

Hi Med,

Regards,

Greg

On Mon, Mar 21, 2022 at 4:50 AM < <mailto:[email-masked]>
[email-masked]> wrote:

Hi Greg, 

Cheers,

Med

De : Greg Mirsky < <mailto:[email-masked]> [email-masked]> 
Envoyé : lundi 21 mars 2022 12:17
À : Adrian Farrel < <mailto:[email-masked]> [email-masked]>; TEAS
WG < <mailto:[email-masked]> [email-masked]>; opsawg <
<mailto:[email-masked]> [email-masked]>; BOUCADAIR Mohamed INNOV/NET <
<mailto:[email-masked]> [email-masked]>
Objet : A question on the definitions of SDP and SAP

Hi Adrian,

I've read the
<https://datatracker.ietf.org/doc/draft-ietf-teas-ietf-network-slices/>
draft-ietf-teas-ietf-network-slices (many thanks for all your work on it!)
and I've got a question. It appears to me that the definition of a Service
Demarcation Point section 2.1) as the point of where the IETF Network Slice
service is delivered by the provider to a customer is similar to the
definition of a Service Attachment Point in
<https://datatracker.ietf.org/doc/draft-ietf-opsawg-sap/>
draft-ietf-opsawg-sap as an "abstraction of the network reference points
where network services can be delivered to customers." Hence my question. Is
there an intended difference between SDP and SAP that is indicated by using
different terms?

Regards,

Greg

____________________________________________________________________________
_____________________________________________
 
Ce message et ses pieces jointes peuvent contenir des informations
confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu
ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages
electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou
falsifie. Merci.
 
This message and its attachments may contain confidential or privileged
information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and
delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been
modified, changed or falsified.
Thank you.

____________________________________________________________________________
_____________________________________________
 
Ce message et ses pieces jointes peuvent contenir des informations
confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu
ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages
electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou
falsifie. Merci.
 
This message and its attachments may contain confidential or privileged
information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and
delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been
modified, changed or falsified.
Thank you.

---

From: "Henderickx, Wim (Nokia - BE/Antwerp)" <[email-masked]>
Date: Wed, 23 Mar 2022 05:00:53 +0000

Adrian, yes I got that part that the document does not aim to describe the realization. I gave some examples which are implementations to show what I mean with multiplexing/mapping.
Don’t you feel that the concept of multiplexing or mapping should be described in the framework.
I believe that this concept is important

Cheers,
WIm

From: Adrian Farrel <[email-masked]>
Date: Tuesday, 22 March 2022 at 21:49
To: Henderickx, Wim (Nokia - BE/Antwerp) <[email-masked]>, 'Greg Mirsky' <[email-masked]>, 'Med Boucadair' <[email-masked]>
Cc: 'opsawg' <[email-masked]>, 'TEAS WG' <[email-masked]>
Subject: RE: [Teas] A question on the definitions of SDP and SAP
Hi Wim,

I think it is important, in this discussion, to reflect that the service is not the realisation.

For the main part, this document describes the service and, while it must allow for multiple realisations, it does not attempt detailed descriptions.

Cheers,
Adrian

From: Teas <[email-masked]> On Behalf Of Henderickx, Wim (Nokia - BE/Antwerp)
Sent: 22 March 2022 14:09
To: Greg Mirsky <[email-masked]>; Med Boucadair <[email-masked]>
Cc: Adrian Farrel <[email-masked]>; opsawg <[email-masked]>; TEAS WG <[email-masked]>
Subject: Re: [Teas] A question on the definitions of SDP and SAP

e.g.

Or

Or

Or

From: Teas <[email-masked]<mailto:[email-masked]>> on behalf of Greg Mirsky <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, 22 March 2022 at 14:50
To: Med Boucadair <[email-masked]<mailto:[email-masked]>>
Cc: Adrian Farrel <[email-masked]<mailto:[email-masked]>>, opsawg <[email-masked]<mailto:[email-masked]>>, TEAS WG <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Teas] A question on the definitions of SDP and SAP
Hi Med,
thank you for the additional information. In my understanding, please correct me if it is off, L3 and L2 VPNs are technologies that can be used to realize an IETF Network Slice. If that is the case, then the SAP in, for example, an L3 VPN is also SDP of the IETF Network Slice. Am I missing something?

Kind regards,
Greg

(1)

   For example,

(2)

Cheers,
Med

Hi Med,

Regards,
Greg

Cheers,
Med

Hi Adrian,

Regards,
Greg

Thank you.

Thank you.

---

From: "Rokui, Reza" <[email-masked]>
Date: Wed, 23 Mar 2022 12:32:12 +0000

Wim,

As Adrian pointed out, your comment is related to IETF network slice realization. I interpret your comment that there shall be some discussions on IETF network slice framework draft about the realization.

If so, I agree that we can add some texts about this to just reflect the fact that NCS can use any approach for realization including the solution you provided. We might be able to give your example to clarify the potential multiplexing by NCS.
However, having said that I agree with Adrian that the framework document SHALL not talk about details of realization as IETF network slice is technology agnostics.

Cheers,
Reza

From: Teas <[email-masked]> on behalf of Adrian Farrel <[email-masked]>
Date: Tuesday, March 22, 2022 at 9:49 PM
To: 'Henderickx, Wim (Nokia - BE/Antwerp)' <[email-masked]>, 'Greg Mirsky' <[email-masked]>, 'Med Boucadair' <[email-masked]>
Cc: 'opsawg' <[email-masked]>, 'TEAS WG' <[email-masked]>
Subject: [**EXTERNAL**] Re: [Teas] A question on the definitions of SDP and SAP
Hi Wim,

Cheers,
Adrian

e.g.

Or

Or

Or

Kind regards,
Greg

(1)

   For example,

(2)

Cheers,
Med

Hi Med,

Regards,
Greg

Cheers,
Med

Hi Adrian,
I've read the draft-ietf-teas-ietf-network-slices [datatracker.ietf.org]<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-ietf-teas-ietf-network-slices/__;!!OSsGDw!Ztmrc2f-gUk6MkF21YFNNLLE9ofruIRbenG6r7YpMxVyMxA4ThJQ0UmqhwEL$> (many thanks for all your work on it!) and I've got a question. It appears to me that the definition of a Service Demarcation Point section 2.1) as the point of where the IETF Network Slice service is delivered by the provider to a customer is similar to the definition of a Service Attachment Point in draft-ietf-opsawg-sap [datatracker.ietf.org]<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-ietf-opsawg-sap/__;!!OSsGDw!Ztmrc2f-gUk6MkF21YFNNLLE9ofruIRbenG6r7YpMxVyMxA4ThJQ0b5Qo8JX$> as an "abstraction of the network reference points where network services can be delivered to customers." Hence my question. Is there an intended difference between SDP and SAP that is indicated by using different terms?

Regards,
Greg

Thank you.

Thank you.